using System.Collections;
using System.Collections.Generic;
using Core.State;
using UnityEngine;

public class CombatAIBasic
{
    public StateControl stateControl;

   
    public void Init(CombatHeroEntity combatHeroEntity)
    {
        stateControl = new StateControl();
    
           
    }


    
    public void ChangeState(string name)
    {
        stateControl.ChangeState(name);
    }

    public void Update(float t)
    {
        stateControl.Update(t);
    }
}